<?require($_SERVER["DOCUMENT_ROOT"]."/bitrix/modules/main/include/prolog_before.php");?>

<?php

CModule::AddAutoloadClasses(
	"azid.taplogin",
	array(
		'Stateless' => 'classes/general/Stateless.php',
		'EnvConf' => 'classes/general/EnvConf.php',
		'MatrixCommunication' => 'classes/general/MatrixCommunication.php',
		'TapLogin' => 'classes/general/TapLogin.php',
		'AuthConfirmation' => 'classes/general/AuthConfirmation.php',
		'TapAuthorization' => 'classes/general/TapAuthorization.php',
		'TokenManager' => 'classes/general/TokenManager.php',
		'TapLoginUser' => 'classes/general/TapLoginUser.php',
	)
);

if (@$_POST['taplogin_request_id'] && @$_GET['check_authorization_response'])
{
	$request_id = $_POST['taplogin_request_id'];
	$arrResponse = TapAuthorization::getAuthorizationResponse($request_id);
	
	die(json_encode($arrResponse));
}
elseif(@$_POST['taplogin_employee_id'] && @$_POST['taplogin_email'])
{
	$arrParams = array(
		"employee_id" => $_POST['taplogin_employee_id'],
		"employee_email" => $_POST['taplogin_email'],
		"employee_login" => @$_POST['taplogin_employee_login']
	);
	
	$rsEmailExists = CUser::GetList(($by="LAST_NAME"), ($order="asc"), array("EMAIL" => $arrParams["employee_email"]));
	if ($rsEmailExists->SelectedRowsCount() > 0)
		$arrResponse = array("result" => "error", "error" => " email  .  .");
	else
	{
		$ID = TapLoginUser::Add($arrParams);
		if ($ID)
			$arrResponse = array("result" => "ok");
		
		$USER->Authorize($ID);
	}
	
	die(json_encode($arrResponse));
}

?>